Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Ubuntu Harding -> vulnerability  (gelezen 292 keer)

Offline bentdarco

  • Lid
Ubuntu Harding -> vulnerability
« Gepost op: 2016/04/08, 21:42:19 »
Naar mijn mening is Ubuntu een bloated operating systeem, des al niet te min, erg prettig om mee te werken.

Omdat het naar mijn mening, bloated is, heb ik ervoor gekozen om hier en daar wat overbodige pakketten eruit te halen.

De lijst van pakketten is te groot om hier te vernoemen, maar het komt erop neer dat wat ik eruit haal, ik weet wat voor functie het heeft, maar mijn vraag is:

nadat het ¨autoremove¨ en ¨autoclean¨ commando is uitgevoerd, verwijderd het onderliggende lib-pakketten.
Een enkele voorbeelden zijn bijv. python libs, gnome keyring libs, maar nogmaals ik ga hier niet alle pakketten vermelden, want dat lijkt mij niet nodig.

De vraag is:

Mijn ubuntu systeem draait soepel, enkel, kan het weghalen van onderliggende pakketten, een eventuele vulnerability veroorzaken, voor met name Metasploit attacks?

Mijn log files laten geen vreemde errors zien, enkel ik twijfel of het mijn systeem kwetsbaar maakt voor (Metasploit) attacks ?


Offline VuurVosje

  • Lid
  • Steunpunt: Nee
Re: Ubuntu Harding -> vulnerability
« Reactie #1 Gepost op: 2016/04/08, 21:49:38 »
Wat wil je bereiken?  ???

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Ubuntu Harding -> vulnerability
« Reactie #2 Gepost op: 2016/04/08, 22:05:57 »
De keyring weghalen lijkt me nou niet echt helpen om de boel veiliger te maken....  :o

Wat wel helpt: installeer een lichter familielid van Ubuntu, zoals Xubuntu of desnoods Lubuntu. En draai je Firefox en Chrome vanuit de zandbak, met Firejail: https://sites.google.com/site/computertip/zandbak

Meer veiligheids-tips:
https://sites.google.com/site/computertip/veiligheid

Tot slot: slopen is altijd gevaarlijker dan opbouwen. Vandaar het advies om een lichter familielid als basis te pakken.
« Laatst bewerkt op: 2016/04/08, 22:08:03 door Pjotr »

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: Ubuntu Harding -> vulnerability
« Reactie #3 Gepost op: 2016/04/08, 22:20:46 »
Naar mijn mening is Ubuntu een bloated operating systeem, des al niet te min, erg prettig om mee te werken.
Sorry, ik weet niet wat dat is, een "bloated operating systeem", kun je daar wat voorbeelden van geven, dan kunnen we je vast en zeker beter helpen!

De vraag is:
Mijn ubuntu systeem draait soepel, enkel, kan het weghalen van onderliggende pakketten, een eventuele vulnerability veroorzaken, voor met name Metasploit attacks? Mijn log files laten geen vreemde errors zien, enkel ik twijfel of het mijn systeem kwetsbaar maakt voor (Metasploit) attacks ?
Wat zijn metasploitattacks? Waarom denk je daar kwetsbaar voor te zijn? Wil je reguliere Ubuntu-pakketten verwijderen omdat je denkt dat die kwetsbaarheden veroorzaken? Waar heb je dat gelezen, op welke site(s) heb je dat gelezen?

Bref, kort. Installeer een standaard X/K/L/ubuntu en maak je vervolgens geen zorgen om de beveiliging of je veiligheid of wat dan ook.
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline bentdarco

  • Lid
Re: Ubuntu Harding -> vulnerability
« Reactie #4 Gepost op: 2016/04/08, 23:08:41 »
Bedankt voor het idee voor een lichtere variant van Ubuntu, misschien stap ik over op gentoo.

Wat betreft het weghalen van bijv. telnet, openssh-client, ftp-service, smbclient, cups, modemmanager, whoopsie, avahi-daemon, apport, gigolo, remmina, etc.
dacht ik het systeem minder vatbaar te maken voor exploits: Principle of least privilege

maar of het helpt tegen exploits is maar de vraag,

Met bloated bedoel ik dat het out of the box veel pakketten ingebakken heeft die ik niet nodig heb, bij het weghalen hiervan, en daarna het opruimen, gooit hij lib-pakketten eruit.

Metasploit is een script dat op een systeem kan zoeken naar zwakke plekken, die niet op tijd gepatched worden, en exploited worden met een payload, waarna een shell gestart kan worden.

Mijn vraag daarom, of ¨Principle of least privilege¨ terug te koppelen is naar het wegpoetsen van overbodige pakketten.

Ik bedenk me dat ik inderdaad beter overstap op een lichtere Linux, zoals Gentoo, en zelf ga bouwen i.p.v afbreken :)


Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Ubuntu Harding -> vulnerability
« Reactie #5 Gepost op: 2016/04/08, 23:38:07 »
Ubuntu installeert standaard helemaal geen telnet, ssh, samba enz. server. Dus die hoef je ook niet weg te halen. En waarom de ssh client een kwetsbaarheid zou veroorzaken is me een raadsel.
De andere pakketten kan je gewoon niet installeren als je ze niet wil, of weghalen. Als je even zoekt kan je vast wel vinden waarvoor ze zijn en wat je precies weghaalt.

Verder kan je met Ubuntu ook een minimaal systeem installeren waarna je zelf kan opbouwen.
http://archive.ubuntu.com/ubuntu/dists/trusty/main/installer-amd64/current/images/netboot/mini.iso hier is de mini.iso voor 14.04.

Als je hier op het forum zoekt naar een "blokkendoos" installatie kan je ook genoeg voorbeelden vinden.

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: Ubuntu Harding -> vulnerability
« Reactie #6 Gepost op: 2016/04/09, 22:27:55 »
Wat betreft het weghalen van bijv. telnet, openssh-client, ftp-service, smbclient, cups, modemmanager, whoopsie, avahi-daemon, apport, gigolo, remmina, etc. dacht ik het systeem minder vatbaar te maken voor exploits: Principle of least privilege
Ah zo, ja dat is duidelijk. Hoe minder software je/een systeem bevat, des te kleiner de kans op problemen. Ik hanteer dat principe ook min of meer: hoe minder software op m'n systeem, des te beter!

Maar als je (flink) gaat de-installeren, moet je wel weten wat je weggooit. Veel software maakt gebruik van libraries/bibliotheken die met andere pakketten meekomen (en die verondersteld worden geïnstalleerd te zijn). Je kunt dus makkelijk dingen elders in je systeem stukmaken.

Overigens en mogelijk belangrijker: welke exploits ben je bang voor? Ik heb de afgelopen tien jaar uitsluitend met Linux-systemen gewerkt, doorgaans met de standaard beveiligingsinstellingen. Tot op heden geen problemen meegemaakt. Nul dus. Ik denk dat het eerder belangrijk is om te weten wat voor sites je bezoekt, bedoeld als in "als je op het tor-netwerk op Russische servers kinderporno.onions gaat downloaden", dan kun je geheid rotzooi verwachten. Wees alert als je je bank bezoekt (check even of dat een httpS verbinding is... dat soort dingen.

Als alternatief kun je ook nog rootkit checkers installeren, die scannen voortdurend je systeem en geven je een waarschuwing als er een (doorgaans valse) positief wordt gevonden. Ik doe dat niet meer, gebeurt toch nooit wat (concludeerde ik na jaren)!  :)
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline bentdarco

  • Lid
Re: Ubuntu Harding -> vulnerability
« Reactie #7 Gepost op: 2016/04/10, 04:26:58 »
als je dan toch software gaat verwijderen, heeft het dan zin om NIET het ¨autoremove¨ en ¨autoclean¨ commando uit te voeren, zodat de onderliggende Lib-pakketten blijven bestaan?

*off topic: ik had gelezen over vulnerabilitys in google pictures, mijn vraag daarom: kan je malware krijgen van enkel naar google pictures te kijken?

Offline jan11000

  • Lid
  • Steunpunt: Nee
Re: Ubuntu Harding -> vulnerability
« Reactie #8 Gepost op: 2016/04/10, 06:22:51 »
Ubuntu is zeer veilig, dus al je weghalen heeft geen zin, en wie weet doe je iets verkeerd weghalen, waardoor het onveiliger wordt.
En jouw zelf gemaakte systeem wordt dus door niemand getest, dus voor mij onveiliger.

En overgebleven files weghalen, dat zie ik vaak windows gebruikers doen, maar voor linux maakt dit niks uit, zeker niet voor snelheden.

De mini iso is de betere weg.
Of arch.

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Re: Ubuntu Harding -> vulnerability
« Reactie #9 Gepost op: 2016/04/10, 09:10:55 »
Client software gewoon laten staan. Je kunt server-like, services bekijken via
netstat -atlpvnsudo lsof -i -n -Pavahi haal ik direct weg na installeren.

Offline bentdarco

  • Lid
Re: Ubuntu Harding -> vulnerability
« Reactie #10 Gepost op: 2016/04/10, 11:45:45 »
Ik denk op dit moment dat wat ik eruit haal, vrij weinig kwaad kan.

Hiermee bedoel ik pakketten zoals: remmina, printer services, rdp service, sambaclient, avahi-daemon, modemmanager, libre office,  amazon, openssh-client, telnet, ftp, mozilla thunderbird, transmission bit torrent.

Op mijn modem stond bijv. poort 21 22 23 open, terwijl ik op mijn computer ssh telnet en ftp service aan had staan, dit is een first entry point, en waarom zou je die services laten luisteren op die poorten als je ze toch niet gebruikt?
Ok je kan fail2ban gebruiken, en je ssh, telnet, ftp, hardenen, maar je kan ze net zo goed weglaten als je ze toch niet van plan bent om te gebruiken. Dit hetzelfde in mijn mening voor samba en printer services: als ik niet herkend wil worden op het netwerk, waarop zou ik dan cups laten draaien, of bijv. whoopsie en apport, als ik de crash service van ubuntu niet nodig heb, enz.

Deze software heb ik niet nodig, maar van wat ik kan opmaken uit de reacties, is het om deze toch beter te laten staan?

Afgezien van het verwijderen van de Lib-pakketten met ¨autoremove¨ en ¨autoclean¨ lijkt het mij beter om minder software te hebben staan i.v.m exploits d.m.v bijv. Metasploit, als je de software toch niet gaat gebruiken.

Ik heb de terminal goed in de gaten gehouden bij het weghalen hiervan, en hij gooit er niks essentieels eruit, mag dan ook zeggen dat mijn O.S als een treintje loopt nu.

Wat betreft de mogelijke vulnerabilitys is mijn vraag niet echt beantwoord, maar ik kan er non verbaal uit opmaken dat het GEEN vulnerabilitys zou moeten veroorzaken voor bijv. attacks met Metasploit, of andere malware payloads.

« Laatst bewerkt op: 2016/04/10, 11:52:01 door bentdarco »

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: Ubuntu Harding -> vulnerability
« Reactie #11 Gepost op: 2016/04/10, 13:57:00 »
En waarom de ssh client een kwetsbaarheid zou veroorzaken is me een raadsel.
Het kan (kon), zie http://www.openssh.com/security.html

En een ssh client op een overgenomen systeem kan worden gebruikt om andere systemen aan te vallen.

Niet dat ik de ssh client wis, het is software dit ik juist veel gebruik. :)
Ik heb zojuit de Sleepnet-kieswijzer ingevuld op www.waartrekjijdegrens.nl/